/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.eql;

/**
 * <p>Abstract EQL Request Sub Operation object</p>
 *
 * @author Baranov Andrey [ALB]
 * @version $Revision: 1.1.1.1 $ $Date: 2005/09/12 15:30:20 $
 */

public abstract class EQLReqSubOp
        implements java.io.Serializable {

    private EQLReqSubOpMember member;

    public EQLReqSubOp(EQLReqSubOpMember reqSubOpMember) {
        setMember(reqSubOpMember);
    }

    public EQLReqSubOpMember getMember() {
        return member;
    }

    public void setMember(EQLReqSubOpMember reqSubOpMember) {
        this.member = reqSubOpMember;
    }

    public int hashCode() {
        return member.hashCode();
    }

    public boolean equals(Object o) {
        if(!(o instanceof EQLReqSubOp)) {
            return false;
        }
        if(o == this) {
            return true;
        }
        EQLReqSubOp reqSubOp = (EQLReqSubOp) o;
        return member.equals(reqSubOp.getMember());
    }

    public String toString() {
        return "subop=" + getClass().getName() + " member=" + member;
    }
}
